Package pyxmpp :: Module xmppstringprep :: Class LookupFunction

[hide private]

# Class LookupFunction

source code

Class for looking up RFC 3454 tables using function.

Instance Methods | [hide private]

__init__(self, function) Initialize LookupFunction object. | source code

Instance Variables | [hide private]

| lookup : the lookup function.

Method Details | [hide private]

### __init__(self, function)
(Constructor)

source code

Initialize LookupFunction object.

Parameters:
  - `function` - : function taking character code as input and returning `bool` value or the mapped for `code`.